@import url("nav.css");
@import url("animations.css");
@import url("cursor.css");

:root {

	--navbar-height: 56px;
	--drop-shadow: 0 0.3rem 0.5rem 0.1rem rgba(0, 0, 0, 0.5);
	--drop-shadow-s: 0.1rem 0.1rem 0.3rem 0 rgba(0, 0, 0, 0.6);
	--drop-shadow-xs: 0.1rem 0.1rem 0.3rem 0 rgba(0, 0, 0, 0.3);
	
	--drop-shadow-s--inverted:  -0.1rem -0.1rem 0.3rem 0 rgba(0, 0, 0, 0.6);
	--inner-shadow: inset 0rem 0rem 1rem 1rem rgba(255, 255, 255, 0.7);
	
	--border-radius-0: 0.25rem;
	--border-radius-1: 0.45rem;
	--border-radius-full: 1000%;

	--bg-color--alpha-b05: rgba(0, 0, 0, 0.05);
	--bg-color--alpha-b10: rgba(0, 0, 0, 0.1);
	--bg-color--alpha-b20: rgba(0, 0, 0, 0.2);
	--bg-color--alpha-b30: rgba(0, 0, 0, 0.3);
	--bg-color--alpha-w30: rgba(255, 255, 255, 0.3);
}

body, body * {
	transition: background-color 0.4s ease-in-out,
				border-color 0.4s ease-in-out,
				color 0.2s ease-in-out,
				background-image 0.4s ease-in-out;
}

body {
	padding-bottom: 1rem;
	color: var(--text-color-1);
	background: var(--bg-color-body);
	
	background-image: linear-gradient(155deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0)),
					  var(--bg-image-body);
	background-size: cover;
	background-attachment: fixed;
}

body.bg--end-of-page {
	background-color: var(--bg-color-body--end-of-page) !important;
	background-image: linear-gradient(155deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
}

#pageTop {
	position: absolute;
	top: 0;
}

h1, h2, h3, h4, h5, h6 {
	color: var(--signal-color-1);
	background-color: unset;
	font-weight: bold;
}

a:not(.btn), a:active:not(.btn), a:visited:not(.btn) {
	color: var(--signal-color-2--dark);
	text-decoration: none;
}

a:hover:not(.btn) {
	color: var(--signal-color-2);
	text-decoration: underline;
}

h1.haystack, h2.haystack, h3.haystack,
h4.haystack, h5.haystack, h6.haystack,
li.haystack {
	overflow: unset;
}

.h--pre {
	font-weight: normal;
	font-size: 0.8em;
	color: var(--signal-color-1--darker);
	margin-bottom: 0;
}

.h--sub {
	font-weight: normal;
	font-size: 0.5em;
	color: var(--text-color-1--pale);
}

.h--has-border {
	border-bottom: 1px solid var(--signal-color-1--darker);
	padding-bottom: 0.3rem;
}

h2.form__header {
	margin: auto auto 1rem 1rem;
}

.global-hidden {
	display: none;
}

.global-invisible {
	opacity: 0;
}

.global-shrunk {
	transform: scale(0%, 0%);
}

.search-hit {
	background-color: var(--signal-color-2);
	color: #000000;
}

.highlight {
	color: var(--signal-color-1);
}

.haystack {
	overflow: hidden;
}

.is-link:hover {
	cursor: pointer;
	transition: all 0.2s ease-in-out;
}

/*		TABLES		*/

.table td {
	color: var(--text-color-1) !important;
}

.table tr:nth-child(even) {
	background-color: var(--bg-color-0);
}

.table tr:nth-child(odd) {
	background-color: var(--bg-color-1);
}

.table th { 
	color: var(--signal-color-1);
}

.table>:not(:first-child) {
	border-top-color: var(--border-color-light) !important;
}

.text-color-1 {
	color: var(--text-color-1) !important;
}

/*		FLEX ROWS/COLS		*/

.col--mw-10 {
	max-width: 10rem;
}

/*		INPUT		*/

.input-xs {
	max-width: 2rem;
}

.input-sm {
	max-width: 5rem;
}

.input-80p {
	min-width: 80%;
}

.input-max {
	min-width: 100%;
}

/*		BG COLORS		*/

.bg--gradient {
	background: var(--bg--gradient);
}

.bg-color-0 {
	background-color: var(--bg-color-0) !important;
}

.bg-color-1 {
	background-color: var(--bg-color-1) !important;
}

.bg-color-2 {
	background-color: var(--bg-color-2) !important;
}

.bg-color-3 {
	background-color: var(--bg-color-3) !important;
}

/*		BORDERS & SHADOWS		*/

.border--beveled {
	border-top: 1px solid var(--border-color-light) !important;
	border-left: 1px solid var(--border-color-light) !important;
	border-right: 1px solid var(--border-color-shadow) !important;
	border-bottom: 1px solid var(--border-color-shadow) !important;
}

.border--inverted {
	border-top: 1px solid var(--border-color-shadow) !important;
	border-left: 1px solid var(--border-color-shadow) !important;
	border-right: 1px solid var(--border-color-light) !important;
	border-bottom: 1px solid var(--border-color-light) !important;
}

.shadow--custom {
	box-shadow: var(--drop-shadow);
}

.shadow--custom--s {
	box-shadow: var(--drop-shadow-s);
}

.shadow--custom--xs {
	box-shadow: var(--drop-shadow-xs);
}

/*		BUTTONS		*/

.btn {
	color: var(--btn--text-color);
	background-color: var(--btn--bg-color) !important;
	background-image: var(--bg--gradient);
	border-top: 1px solid var(--border-color-light) !important;
	border-left: 1px solid var(--border-color-light) !important;
	border-right: 1px solid var(--border-color-shadow) !important;
	border-bottom: 1px solid var(--border-color-shadow) !important;
	box-shadow: var(--drop-shadow-xs);	
}

.btn:not(.navbar-toggler):not(.calendar__btn):not(.pop-out__header-btn) {
	line-height: 1.5;
	padding: 0.35rem 0.75rem;
}

.btn:hover {
	color: var(--btn--text-color--hover);
	background-color: var(--btn--bg-color--hover) !important;
}

.btn--round {
	border-radius: 10rem;
}

/*		BUTTON BACK TO TOP		*/

.back-to-top-wrap {
	position: fixed;
	right: 0;
	bottom: 1rem;
	transition: right 0.3s ease-in-out;
}

.back-to-top-wrap--hidden {
	right: -100%;
}

.back-to-top-btn {
	font-weight: bold;
	font-size: 1.2rem;
	writing-mode: vertical-lr;
	transform: scale(-1);
	box-shadow: var(--drop-shadow-s--inverted);
	background-image: var(--bg--gradient);
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
	
	/* OVERRIDE */
	padding: 1rem 0.35rem !important;
}

/*		CARDS		*/

.card-box {
	z-index: -1000;
}

.card {
	min-width: 32.5%;
}

.card__header {
	padding: 0.5rem 1rem;
    margin-bottom: 0;
	color: var(--text-color-3);
    background-color: var(--bg-color-2);
	background-image: var(--bg--gradient);
    border-bottom: 1px solid var(--border-color-0);
	border-top-left-radius: var(--border-radius-0);
	border-top-right-radius: var(--border-radius-0);
}

.card__text {
	max-width: fit-content;
}

/*		USER LIST		*/

.pager-container {
	position: -webkit-sticky;
	position: sticky;
	top: var(--navbar-height);
}

.pager {
	display: flex;
	margin: 0.5rem auto;
	gap: 0.5rem;
}

#pageBack, #pageForw {
	color: var(--btn--text-color);
	font-weight: bold;
}

#pageBack:hover, #pageForw:hover {
	color: var(--btn--text-color--hover);
	background-color: var(--bg-color-0);
}

#userListPage {
	display: inline;
	max-height: 1.5rem;
	padding: 0; 
	margin: 0;
	font-weight: bold;
	color: var(--signal-color-1);
}

/*		IMAGES		*/

.popup-image-container {
	position: fixed;
	top: calc(50% + var(--navbar-height) - 2rem);
	left: 50%;
	transform: translate(-50%, -50%);
	background-color: var(--bg-color-0);
	padding: 1rem;
	text-align: right;
	max-width: min-content;
	opacity: 1;
	transition: opacity 0.5s ease-in-out;
}

.popup-image-container--hidden {
	opacity: 0;
}

.popup-image {
	max-width: calc(100vw - 2rem);
	max-height: calc(100vh - 8rem);
	margin-top: 0.5rem;
}

.img--w-20 {
	max-width: 20rem;
	max-height: 15rem;
}

.img--intext {
    max-width: 15rem;
    max-height: 10rem;
	margin: 1rem;
	box-shadow: var(--drop-shadow-s);
	transition: box-shadow 0.2s ease-in-out;
}

.img--intext-left {
    float: left;
}

.img--intext-right {
    float: right;
}

.img--intext.is-link:hover {
	box-shadow: var(--drop-shadow);
}

.img--intext-left.is-link:hover {
	transform: scale3d(0.95, 0.95, 0.95) rotate3d(0, 1, 0.6, -10deg);
}

.img--intext-right.is-link:hover {
	transform: scale3d(0.95, 0.95, 0.95) rotate3d(0, -1, 0.6, 10deg);
}

/*		MODAL		*/

.modal-header, .modal-footer {
	border-color: var(--border-color-0);
}

/*		CALENDAR		*/

.calendar {
	position: relative;
	display: grid;
	grid-template-columns: repeat(7, 1fr);
	gap: 1px;
	text-align: right;
}

.calendar__day, .calendar__day--today, .calendar__blank {
	padding: 0.1rem 0.2rem;
	font-size: 0.75em;
	min-height: 3rem;
}

.calendar__btn {
	font-size: 0.8rem;
	font-weight: bold;
	padding: 0.1rem 0.2rem;
}

.calendar__head {
	display: flex;
	justify-content: flex-end;
	font-weight: bold;
	font-size: 0.9rem;
	padding: 0.2rem;
	background-color: var(--bg-color-0);
}

.calendar--span-all {
	grid-column: 1 / span 7;
	justify-content: space-between;
}

.calendar__day {
	color: var(--text-color-1);
	background-color: var(--bg-color-2);
	border: 1px solid var(--bg-color-2);
}

.calendar__day:not(.calendar__day--pop-out):hover {
	background: var(--bg-color--alpha-n20);
	border: 1px solid var(--signal-color-1);
}

.calendar__day--today {
	color: var(--text-color-invert);
	background-color: var(--signal-color-1--dark);
}

.calendar__day--pop-out {
	background-color: var(--bg-color-2);
	border: 1px solid var(--signal-color-1);
	border-radius: var(--border-radius-0);
	position: absolute;
	left: 0; top: 0;
	width: 100%;
	height: 100%;
	padding: 0;
	transition: opacity 0.2s ease-in-out,
				transform 0.2s ease-in-out;
}

.pop-out__header {
	display: flex;
	background-color: var(--bg-color--alpha-b20);
	border-top-left-radius: var(--border-radius-0);
	border-top-right-radius: var(--border-radius-0);
}

.pop-out__header--title {
	flex: 1 0 0;
	font-size: 1.1rem;
	font-weight: bold;
	padding: 0.2rem 0.5rem;
	text-align: left;
	color: var(--signal-color-1);
}

.pop-out__header--btn {
	font-size: 1.5rem;
	font-weight: bold;
	line-height: 1;
	padding: 0.25rem 0.65rem 0.45rem 0.65rem;
	border-radius: unset;
	border-bottom-left-radius: var(--border-radius-1);
	color: var(--text-color-invert);
	box-shadow: unset;
	background-image: unset;
	
	/* OVERRIDE */
	border: 0 !important;
	background-color: var(--signal-color-1) !important;
}

.pop-out__header--btn:hover {
	color: var(--text-color-invert);
	background-color: var(--signal-color-1--dark) !important;	
}

.pop-out__content {
	font-size: 1rem;
	text-align: center;
	margin-top: 1rem;
}

.calendar__blank {
	color: var(--text-color-1--pale);
	background-color: var(--bg-color--alpha-b05);
}

@media screen and (min-width: 992px) {
	body {
		max-width: 80%;
		margin: 0 auto;
	}

	.navbar__search-wrap {
		position: absolute;
		right: 0;
	}
}

@media screen and (max-width: 991px) {
	body {
		max-width: 100%;
		overflow-x: hidden;
	}

	main {
		padding: 0 0.5rem;
	}
	
	.col, .col-sm {
		position: unset;
	}
		
	.card-box {
		flex-direction: unset;
	}
	
	.card.flex-fill {
		min-width: 51%;
	}
}